package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("health_cust_medical_report_detail")
@ApiModel("人员体检报告项目明细表")
public class HealthCustMedicalReportDetail implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("体检项目id")
   private Long medicalProjectId;
   @ApiModelProperty("体检项目明细id")
   private Long medicalProjectDetailId;
   @ApiModelProperty("体检项目明细名称")
   private String medicalProjectDetailName;
   @ApiModelProperty("检查结果")
   private String result;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getMedicalProjectId() {
      return this.medicalProjectId;
   }

   public Long getMedicalProjectDetailId() {
      return this.medicalProjectDetailId;
   }

   public String getMedicalProjectDetailName() {
      return this.medicalProjectDetailName;
   }

   public String getResult() {
      return this.result;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setMedicalProjectId(final Long medicalProjectId) {
      this.medicalProjectId = medicalProjectId;
   }

   public void setMedicalProjectDetailId(final Long medicalProjectDetailId) {
      this.medicalProjectDetailId = medicalProjectDetailId;
   }

   public void setMedicalProjectDetailName(final String medicalProjectDetailName) {
      this.medicalProjectDetailName = medicalProjectDetailName;
   }

   public void setResult(final String result) {
      this.result = result;
   }

   public void setCreateBy(final String createBy) {
      this.createBy = createBy;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

}
